package com.edumobile.subclassing;

/**
 * Created by edumobiledev on 4/2/15.
 */
public final class Rectangle extends Shape {

    private int length;
    private int width;

    /*
        "no-arg" constructor. This is a method that makes a
        default Rectangle:
     */
    Rectangle() {
        // numSides is inherited from Shape
        numSides = 4;

        // set length and width to default values:
        length = 0;
        width = 0;
    }

    Rectangle(int l, int w) {
        numSides = 4;
        length = l;
        width = w;
    }

    public int area() {
        return length * width;
    }
}
